<div class="container">
    <div class="row">
        <div class="col">
            <br>
            <p>Sende hier eine Nachricht an das werte Hochzeitspaar:</p>
            <form name="addMessageForm">
                <div class="form-group">
                    <label for="inputName">Name</label>
                    <input type="text" [(ngModel)]="currentMessage.name" class="form-control" id="inputName" placeholder="Max Mustermann" name="name">
                </div>
                <div class="form-group">
                    <label for="inputPicture">Bild</label>
                    <input type="file" [(ngModel)]="currentFile" (change)="updateFile($event)" class="form-control" id="inputPicture" accept="image/*" name="image">
                </div>
                <div class="form-group">
                    <label for="inputMessage">Nachricht</label>
                    <textarea id="inputMessage" [(ngModel)]="currentMessage.message" class="form-control" placeholder="Hier kannst du uns eine Textnachricht senden..." name="message"></textarea>
                </div>
                <ngb-alert *ngIf="uploadingMessage" type="warning" (close)="uploadingMessage = null">{{uploadingMessage}}</ngb-alert>
                <ngb-alert *ngIf="successMessage" type="success" (close)="successMessage = null">{{successMessage}}</ngb-alert>
                <button type="submit" class="btn btn-primary" (click)="submit()">Absenden</button>
            </form>
        </div>
    </div>
</div>